export class 信息框 {
	static 提示框(内容,显示时间,自定义图标) {
		var bianliang={
			title: 内容
		}
		if (显示时间 !== undefined) {
			bianliang.duration=显示时间
		}
		if (自定义图标 !== undefined) {
			bianliang.image=自定义图标
		}
		//console.log(bianliang.duration)
		wx.showToast(bianliang)
	}
	static 对话框(提示信息,按钮,窗口标题) {
			var w;
			var y;
			if (按钮 == 0){
				w="取消",
				y="确定"
			} else if (按钮 == 1) {
				w="否",
				y="是"
			}
			var bianliang={
				cancelText:w,
				confirmText:y,
				title: 窗口标题,
				content: 提示信息,
				success (res) {
				  if (res.confirm) {
					  窗口标题='用户点击确定'
				    console.log(窗口标题)
							  //return 1
				  } else if (res.cancel) {
				    console.log('用户点击取消')
							  //return 0
				  }
				}
			}
			wx.showModal(bianliang)
	}
	static 加载框(提示内容) {
		wx.showLoading({
		  title: 提示内容
		})
	}
	static 关闭加载框() {
		wx.hideLoading()
	}
	static 弹出菜单(菜单列表,字体颜色) {
		var BL={
			 itemList: 菜单列表,
			 success (res) {
			   console.log(res.tapIndex)
			 },
			 fail (res) {
			   console.log(res.errMsg)
			 }
		}
		if (字体颜色 !== undefined) {
			BL.itemColor=字体颜色
		}
		wx.showActionSheet(BL)
		

	}
}
export class 标题栏 {
	static 置加载动画() {
		wx.showNavigationBarLoading()
	}
	static 关闭加载动画() {
		wx.hideNavigationBarLoading()
	}
	static 置标题(标题内容) {
		wx.setNavigationBarTitle({
		  title: 标题内容
		})
	}
	static 置标题栏颜色 (前景色,背景色,动画时间,动画效果) {
		var qjs='#ffffff'
		var bjs='#000000'
		if (前景色 !== undefined){
			qjs=前景色
		}
		if (背景色 !== undefined){
			bjs=背景色
		}
		var bl='linear'
		if (动画效果 !== undefined) {
			if (动画效果 === 0){
				bl='linear'
			} else if (动画效果 === 1){
				bl='easeIn'
			} else if (动画效果 === 2){
				bl='easeOut'
			} else if (动画效果 === 3){
				bl='easeInOut'
			}
		}
		var bl2={
			duration: 动画时间,
			timingFunc: bl
		}
		//console.log(bl2)
		wx.setNavigationBarColor({
		  frontColor: qjs,
		  backgroundColor: bjs,
		  animation: bl2
		})
	}
	static 隐藏返回首页按钮() {
		wx.hideHomeButton()
	}
}
export class 页面背景 {
	static 置下拉背景(下拉样式){
		var i='dark'
		if (下拉样式 == 1) {
			i='light'
		}
		wx.setBackgroundTextStyle({
		  textStyle: i // 下拉背景字体、loading 图的样式为dark
		})
	}
	static 置窗口背景(背景色,背景色_顶部,背景色_底部){
		if (背景色 !== undefined){
			wx.setBackgroundColor({
			  backgroundColor: 背景色, // 窗口的背景色为白色
			})
		}else if (背景色_顶部 !== undefined && 背景色_底部!==undefined){
			var e = {
				backgroundColorTop:背景色_顶部,
				backgroundColorBottom:背景色_底部
			}
			wx.setBackgroundColor(e)
		}	
	}
}
export class 导航栏 {
	static 显示徽章(选项卡索引){
		wx.showTabBarRedDot({
			index:选项卡索引
			})
	}
	static 隐藏徽章(选项卡索引){
		wx.hideTabBarRedDot({index:选项卡索引})
	}
	static 显示导航栏(是否要动画效果){
		wx.showTabBar({animation:是否要动画效果})
	}
	static 隐藏导航栏(是否要动画效果){
		wx.hideTabBar({animation:是否要动画效果})
	}
	static 置导航栏样式(未选中文字色,选中文字色,背景色,上边框色){
		var x='black'
		if (上边框色 === 1) {
			x='white'
		}
		var bl = {
			color: 未选中文字色,
			selectedColor: 选中文字色,
			backgroundColor: 背景色,
			borderStyle: x
		}
		wx.setTabBarStyle(bl)
	}
	static 置选项卡内容(选项卡索引,标题内容,未选中图片,选中图片){
		wx.setTabBarItem({
		  index: 选项卡索引,
		  text: 标题内容,
		  iconPath: 未选中图片,
		  selectedIconPath: 选中图片
		})
	}
	static 置徽章内容(选项卡索引,标题内容){
		wx.setTabBarBadge({
		  index: 选项卡索引,
		  text: 标题内容
		})
	}
	static 清除徽章内容(选项卡索引){
		wx.removeTabBarBadge({
		  index: 选项卡索引
		})
	}
}